Name:		dmlite-plugins-s3
Version:	0.4.0
Release:	1%{?dist}
Summary:	S3 plugin for dmlite
Group:		Applications/Internet
License:	ASL 2.0
URL:		https://svnweb.cern.ch/trac/lcgdm
# The source of this package was pulled from upstream's vcs. Use the
# following commands to generate the tarball:
# svn export http://svn.cern.ch/guest/lcgdm/dmlite-plugins-s3/tags/dmlite-plugins-s3_0_4_0 dmlite-plugins-s3-0.4.0
# tar -czvf dmlite-plugins-s3-0.4.0.tar.gz dmlite-plugins-s3-0.4.0
Source0:	%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake
BuildRequires:	dmlite-devel
BuildRequires:	neon-devel
BuildRequires:	openssl-devel
BuildRequires:	protobuf-devel

%description
This package provides the S3 plugin for dmlite. It provides access
to data stored in a S3 cloud provider from the DPM namespace.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake . -DCMAKE_INSTALL_PREFIX=/

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%{_libdir}/dmlite/plugin_s3.so
%doc LICENSE README RELEASE-NOTES
%config(noreplace) %{_sysconfdir}/dmlite.conf.d/*

%changelog
* Wed Oct 18 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.4.0-1
- Update for new upstream release

* Mon Jul 23 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 0.3.0-1
- Initial build after dmlite package split
